<?php

namespace wcf\system\template\plugin;

use wcf\system\template\TemplateEngine;
use wcf\util\StringUtil;

/**
 * Template modifier plugin which escapes the closing CDATA tag.
 *
 * Usage:
 *  {$string|escapeCDATA}
 *  {"ABC]]>XYZ"|escapeCDATA}
 *
 * @author  Tim Duesterhus
 * @copyright   2001-2019 WoltLab GmbH
 * @license GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class EscapeCDATAModifierTemplatePlugin implements IModifierTemplatePlugin
{
    /**
     * @inheritDoc
     */
    public function execute($tagArgs, TemplateEngine $tplObj)
    {
        return StringUtil::escapeCDATA($tagArgs[0]);
    }
}
